org.apache.flume.instrumentation.kafka

## Class KafkaChannelCounter

- java.lang.Object
- - org.apache.flume.instrumentation.MonitoredCounterGroup
  - - org.apache.flume.instrumentation.ChannelCounter
    - - org.apache.flume.instrumentation.kafka.KafkaChannelCounter

- All Implemented Interfaces:
    ChannelCounterMBean, KafkaChannelCounterMBean

      public class KafkaChannelCounter
      extends ChannelCounter
      implements KafkaChannelCounterMBean

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `MonitoredCounterGroup.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaChannelCounter(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addToKafkaCommitTimer(long delta)`
    `long` | `addToKafkaEventGetTimer(long delta)`
    `long` | `addToKafkaEventSendTimer(long delta)`
    `long` | `addToRollbackCounter(long delta)`
    `long` | `getKafkaCommitTimer()`
    `long` | `getKafkaEventGetTimer()`
    `long` | `getKafkaEventSendTimer()`
    `long` | `getRollbackCount()`

    - ### Methods inherited from class org.apache.flume.instrumentation.ChannelCounter

      `addToEventPutSuccessCount, addToEventTakeSuccessCount, getChannelCapacity, getChannelFillPercentage, getChannelSize, getEventPutAttemptCount, getEventPutSuccessCount, getEventTakeAttemptCount, getEventTakeSuccessCount, incrementEventPutAttemptCount, incrementEventTakeAttemptCount, setChannelCapacity, setChannelSize`

    - ### Methods inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `addAndGet, get, getStartTime, getStopTime, getType, increment, set, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.instrumentation.kafka.KafkaChannelCounterMBean

      `getChannelCapacity, getChannelFillPercentage, getChannelSize, getEventPutAttemptCount, getEventPutSuccessCount, getEventTakeAttemptCount, getEventTakeSuccessCount, getStartTime, getStopTime, getType`

    - ### Methods inherited from interface org.apache.flume.instrumentation.ChannelCounterMBean

      `getStartTime, getStopTime, getType`

- - ### Constructor Detail

    - #### KafkaChannelCounter

          public KafkaChannelCounter(String name)

  - ### Method Detail

    - #### addToKafkaEventGetTimer

          public long addToKafkaEventGetTimer(long delta)

    - #### addToKafkaEventSendTimer

          public long addToKafkaEventSendTimer(long delta)

    - #### addToKafkaCommitTimer

          public long addToKafkaCommitTimer(long delta)

    - #### addToRollbackCounter

          public long addToRollbackCounter(long delta)

    - #### getKafkaEventGetTimer

          public long getKafkaEventGetTimer()

      Specified by:
        `getKafkaEventGetTimer` in interface `KafkaChannelCounterMBean`

    - #### getKafkaEventSendTimer

          public long getKafkaEventSendTimer()

      Specified by:
        `getKafkaEventSendTimer` in interface `KafkaChannelCounterMBean`

    - #### getKafkaCommitTimer

          public long getKafkaCommitTimer()

      Specified by:
        `getKafkaCommitTimer` in interface `KafkaChannelCounterMBean`

    - #### getRollbackCount

          public long getRollbackCount()

      Specified by:
        `getRollbackCount` in interface `KafkaChannelCounterMBean`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.